DKCTL(8)

NAME
dkctl - control special disk operations

SYNOPSIS
/usr/etc/dkctl disk command

DESCRIPTION
dkctl is used to enable or disable special disk operations. In particular the enabling or disabling of verified writes (write check functionality) is controlled by this program.

The disk specification here is a disk name of the form /dev/rxxnp, where xx is the controller device abbreviation (xy, sd, etc.), n is the disk number, and p is the partition to which the operation applies. The partition specification is simply the letter used to identify that partition in the standard UNIX system nomenclature.

SUPPORTED COMMANDS

wchk
    This function enables write checking for disks that support it for the named disk partition. This means that for partitions of disks with this feature enabled, all writes are verified to have been correctly written on the disk. This operation emphasizes data reliability over performance, although for each implementation, the fastest reasonable method will be used (i.e., implemented in hardware, if possible).

-wchk
    This disables write check functionality for the named disk partition.

BUGS

Use of the dkctl command requires super-user permissions.

There are many other features this program could control, and may in the future.

FILES
/dev/rxxnp

SEE ALSO
dkio(4S), sd(4S), xy(4S)